Bug 1688537 - reposync doesn't preserve timestamp from repo being synced
Summary: reposync doesn't preserve timestamp from repo being synced
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: dnf
Version: 8.2
Hardware: All
OS: Linux
medium
low
Target Milestone: rc
: 8.0
Assignee: Marek Blaha
QA Contact: Jan Blazek
URL:
Whiteboard:
Depends On: 1681084
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-13 23:00 UTC by Ryan Mullett
Modified: 2019-11-05 22:21 UTC (History)
5 users (show)

Fixed In Version: dnf-plugins-core-4.0.8-1.el8
Doc Type: Enhancement
Doc Text:
Feature: reposync command provides new option --remote-time With this option reposync tries to set the timestamps of the downloaded files to those on the remote side.
Clone Of:
Environment:
Last Closed: 2019-11-05 22:21:30 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:3583 None None None 2019-11-05 22:21:41 UTC
Red Hat Knowledge Base (Solution) 3986641 Configure None RHEL 8 reposync doesn't preserve timestamp from repo being synced 2019-03-13 23:19:12 UTC

Description Ryan Mullett 2019-03-13 23:00:22 UTC
Description of problem:
When using reposync on RHEL 8 the files that get created in the local repository get a timestamp matching the time the local file is created. This is a deviation from previous releases of RHEL in which the timestamp would match that of the server.

Version-Release number of selected component (if applicable):
All versions

How reproducible:
Always

Steps to Reproduce:
1. # reposync --repoid=<repoid>

Actual results:
Files created have timestamp from the time they get created locally

Expected results:
Expected that there is either a flag like those used in rsync that allows for preserving the server timestamps (--preserve for example for rsync and for cp). Or that the default is to preserve the timestamp from the repo being synced.

Additional info:
Other syncing utilities either have a --preserve flag as is the case for rsync/cp, or they have the default be to preserve the server timestamp, in the case of wget/curl.

Comment 5 Marek Blaha 2019-05-09 05:39:43 UTC
And finally PR https://github.com/rpm-software-management/dnf-plugins-core/pull/332 introducing --remote-time command line option for reposync command.

Comment 13 errata-xmlrpc 2019-11-05 22:21:30 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:3583


Note You need to log in before you can comment on or make changes to this bug.